/*
 	File:		QuickdrawText.h
 
 	Contains:	Quickdraw Text Interfaces.
 
 	Version:	Technology:	System 7.5
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
*/
#ifndef __QUICKDRAWTEXT__
#define __QUICKDRAWTEXT__

#ifndef __TYPES__
#include <Types.h>
#endif
#ifndef __MIXEDMODE__
#include <MixedMode.h>
#endif
#ifndef __SCRIPTLAYOUT__
#include <ScriptLayout.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if FOR_SYSTEM7_AND_SYSTEM8_COOPERATIVE
struct FontInfo {
	short 							ascent;
	short 							descent;
	short 							widMax;
	short 							leading;
};
typedef struct FontInfo FontInfo;

extern pascal void TextFont(short font)
 ONEWORDINLINE(0xA887);

extern pascal void TextFace(StyleParameter face)
 ONEWORDINLINE(0xA888);

extern pascal void TextMode(short mode)
 ONEWORDINLINE(0xA889);

extern pascal void TextSize(short size)
 ONEWORDINLINE(0xA88A);

extern pascal void SpaceExtra(Fixed extra)
 ONEWORDINLINE(0xA88E);

extern pascal void DrawChar(CharParameter ch)
 ONEWORDINLINE(0xA883);

extern pascal void DrawString(ConstStr255Param s)
 ONEWORDINLINE(0xA884);

extern pascal void DrawText(const void *textBuf, short firstByte, short byteCount)
 ONEWORDINLINE(0xA885);

extern pascal short CharWidth(CharParameter ch)
 ONEWORDINLINE(0xA88D);

extern pascal short StringWidth(ConstStr255Param s)
 ONEWORDINLINE(0xA88C);

extern pascal short TextWidth(const void *textBuf, short firstByte, short byteCount)
 ONEWORDINLINE(0xA886);

extern pascal void MeasureText(short count, const void *textAddr, void *charLocs)
 ONEWORDINLINE(0xA837);

extern pascal void GetFontInfo(FontInfo *info)
 ONEWORDINLINE(0xA88B);

extern pascal void CharExtra(Fixed extra)
 ONEWORDINLINE(0xAA23);

extern pascal void StdText(short count, const void *textAddr, Point numer, Point denom)
 ONEWORDINLINE(0xA882);

extern pascal short StdTxMeas(short byteCount, const void *textAddr, Point *numer, Point *denom, FontInfo *info)
 ONEWORDINLINE(0xA8ED);

#if CGLUESUPPORTED
extern void drawstring(const char *s);

extern short stringwidth(const char *s);

extern void stdtext(short count, const void *textAddr, const Point *numer, const Point *denom);

#endif
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __QUICKDRAWTEXT__ */

